EXPIREOVER(8)

NAME
expireover - Expire entries from the news overview database

SYNOPSIS
expireover [ -a ] [ -D overviewdir ] [ -f file ] [ -n ] [ -O overview.fmt ] [ -q ] [ -s ] [ -v ] [ -z ] [ file... ]

DESCRIPTION
Expireover expires entries from the news overview database. It reads a list of pathnames (relative to the spool directory, <patharticles in inn.conf>, from the specified files or standard input if none are specified. (A file name of ``-'' may be used to specify the standard input.) It then removes any mention of those articles from the appropriate overview database.

If you have turned on the storage manager with the 'storageapi' in inn.conf(5), you need to use expireindex(8) to expire overview index.

OPTIONS

-a  The ``-a'' flag reads the spool directory and adds any missing overview entries. It will create files if necessary. This can be used to initialize a database, or to sync up a overview database that may be lacking articles due to a crash. Overchan should be running, to ensure that any incoming articles get included. Using this flag implies the ``-s'' flag; the ``-f'' flag may be used to add only a subset of the newsgroups.

-D  The ``-D'' flag can be used to specify where the databases are stored. The default directory is <pathoverview in inn.conf>.

-f  When the ``-s'' flag is used, then expireover will read the spool directory for all groups mentioned in the active(5) file. To specify an alternate file, use the ``-f'' flag; a name of ``-'' is taken to mean the standard input.

-n  To perform no real updates, use the ``-n'' flag.

-O  The ``-O'' flag may be used to specify an alternate location for the overview.fmt(5) file; this is normally only useful for debugging.

-q  Not to tell lock file open failure, use the ``-q'' flag.

-s  If the ``-s'' flag is used, then expireover will read the spool directory for all groups mentioned in the active(5) file, and remove the overview entries of any articles that do not appear in the directory.

-v  To see a list of the entries that would be added or deleted, use the ``-v'' flag.

-z  If the ``-z'' flag is used, then the input is assumed to be sorted such that all entries for a newsgroup appear together so that it can be purged at once. This flag can be useful when used with the sorted output of expire(8)'s ``-z'' flag.

HISTORY
Written by Rob Robertson <rob@violet.berkeley.edu> and Rich $alz <rsalz@uunet.uu.net> (with help from Dave Lawrence <tale@uunet.uu.net>) for InterNetNews.

SEE ALSO
expire(8), expireindex(8), inn.conf(5), overview.fmt(5).